libqalculate-0.9.8

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
CalculatorMessage Class Reference

A message with information to the user. Primarily used for errors and warnings. More...

`#include <Calculator.h>`

## Public Member Functions
| CalculatorMessage (string message_, MessageType type_=MESSAGE_WARNING)
| CalculatorMessage (const CalculatorMessage &e)
string | message () const
const char * | c_message () const
MessageType | type () const

## Protected Attributes
string | smessage
MessageType | mtype

## Detailed Description

A message with information to the user. Primarily used for errors and warnings.

The documentation for this class was generated from the following file:

- libqalculate/Calculator.h